-- SavedVariables: SavedSQW, AutoMode+
local name, title, notes, loadable, reason, security, version = GetAddOnInfo("InputLagFix")
local pref = "[InputLagFix] "
function eventHandler(self, event, ...)
	if event == "OnEnter" then
		local self, motion = ...;
		ConsoleExec("SpellQueueWindow "..SavedSQW);
	end
end

-- Slash CMD
-- /ilf set [ms]
-- /ilf how
-- /ilf setup
-- /ilf auto
-- /ilf [config1|config2|config3|config4|config5]
-- /ilf version
local function InputLagFix(msg, editbox)

	local _, _, cmd, args = string.find(msg, "%s?(%w+)%s?(.*)")
	local down, up, lagHome, lagWorld = GetNetStats()
	SavedSQW = args;
	if cmd == "set" and args ~= "" then
		ConsoleExec("SpellQueueWindow "..args);
		AutoMode = false;
		SavedSQW = args
		print("|cff00c0ffms|r set to "..args..". AutoMode now is OFF.")
	elseif cmd == "how" then
		print("\n\n--- InputLagFix ---")
		print("1. See your ms: /ilf")
		print("2. Now, set up your ms: /ilf set [ms]")
		print("   otherwise: /ilf setup")
		print("3. Finally, you can check your ms again: /ilf")
		print("4. Set Auto Mode with: /ilf auto [on/off]")
		print("5. Try with other configurations of ms for enjoy this AddOn [0-400].")
		print("6. You can set your AutoMode configuration: /ilf [config1|config2|config3|config4|config5]")
	elseif cmd == "setup" then
		if lagHome >= lagWorld then
			ConsoleExec("SpellQueueWindow "..lagHome)
			SavedSQW = lagHome
		else
			ConsoleExec("SpellQueueWindow "..lagWorld)
			SavedSQW = lagWorld
		end
		AutoMode = false
		print("|cff00c0ffms|r set to "..SavedSQW..". AutoMode now is OFF.")
	elseif cmd == "auto" then
		if args == "on" then
			AutoMode = true
			print("|cff00c0ffAuto Mode ON.|r")
			if lagHome >= lagWorld then
				ConsoleExec("SpellQueueWindow "..lagHome)
				SavedSQW = lagHome
			else
				ConsoleExec("SpellQueueWindow "..lagWorld)
				SavedSQW = lagWorld
			end
		elseif args == "off" then
			AutoMode = false
			print("|cff00c0ffAuto Mode OFF.|r")
		end
	elseif cmd == "config1" then
		SavedConfig = 1;
		print(pref.."Config 1 setted")
	elseif cmd == "config2" then
		SavedConfig = 2;
		print(pref.."Config 2 setted")
	elseif cmd == "config3" then
		SavedConfig = 3;
		print(pref.."Config 3 setted")
	elseif cmd == "config4" then
		SavedConfig = 4;
		print(pref.."Config 4 setted")
	elseif cmd == "config5" then
		SavedConfig = 5;
		print(pref.."Config 5 setted")
	elseif cmd == "version" then
		print(pref.."Current version: "..version)
	else
		print("\n\n--- Info InputLagFix ---")
		print("\n[|cff00c0ffms|r]: "..GetCVar("SpellQueueWindow"))
		if AutoMode == true then
			print("   AutoMode: |cff00c0ffON|r")
			print("   AutoMode Config: "..SavedConfig)
		else
			print("   AutoMode: |cffFF0000OFF|r")
		end
	end
	
end

SLASH_ILF1, SLASH_ILF2 = '/ilf', '/inputlagfix'
SlashCmdList["ILF"] = InputLagFix